//上下切换
precision highp float;
varying vec2 textureCoordinate;

uniform sampler2D inputTexture;
uniform sampler2D inputImageTexture2; //顶部图片
uniform float progress;


void main()
{
    
    highp vec2 uv = textureCoordinate;
    
    vec2 direction = vec2(0.0,1.0);
    
    vec2 p = uv + progress * sign(direction);
    vec2 f = fract(p);
    
    vec4 color = texture2D(inputTexture, f);
    vec4 color2 = texture2D(inputImageTexture2, f);
    
    float s = step(0.0, p.y) * step(p.y, 1.0) * step(0.0, p.x) * step(p.x, 1.0);
    
    gl_FragColor = mix(color2,color,s);
}

